
local Poison_unknown = ".*Poison%s*([IVX]*)"
local CPName = GetItemInfo(3775);	--Verkrppelndes Gift
local MPName = GetItemInfo(5237);	--Gedankenbenebelndes Gift
local DPName = GetItemInfo(2892);	--Tdliches Gift
local IPName = GetItemInfo(6947);	--Sofort wirkendes Gift
local WPName = GetItemInfo(10918);	--Wundgift

	if (CPName == nil) then
	CPName = Poison_unknown
	end
	if (MPName == nil) then
	MPName = Poison_unknown
	end
	if (DPName == nil) then
	DPName = Poison_unknown
	end
	if (IPName == nil) then
	IPName = Poison_unknown
	end
	if (WPName == nil) then
	WPName = Poison_unknown
	end

-- 
-- Regular expressions to match poison names
-- 
Poisoner_Patterns = {
	""..CPName.."",
	""..MPName.."",
	""..DPName.."",
	""..IPName.."",
	""..WPName.."",
	"%w+ Sharpening Stone",
	"%w+ Weightstone",
	".*Mana Oil",
	".*Wizard Oil",
	"Frost Oil",
	"Shadow Oil",
    --    ".*Poison%s*([IVX]*)"
};

--
-- Other internal strings
--

-- the pattern to search for in a tooltip for the number of charges
-- remaining on an expendable item
POISONER_PATTERN_CHARGES = "^(%d+) Charges$";

--
-- Display strings
--

-- tooltip strings
POISONER_MINIMAPBUTTON_TIP1 = "Poisoner";
-- error messages
POISONER_COMMANDERROR = "Unknown poisoner command: ";
POISONER_DRAGERROR = "Error dragging poisoner button";
POISONER_POSITIONERROR = "Unknown position option";

-- UI labels
PoisonerOptions_SETTINGS = "Poisoner";
PoisonerOptions_SETTINGS1 = GAMEOPTIONS_MENU; --"Options"
PoisonerOptions_SETTINGS2 = "Timer";		--"Timer"
PoisonerOptions_SETTINGS3 = "AutoBuy";	--"AutoBuy"		--MINIMAP_TRACKING_VENDOR_POISON;		--"Poisons"
PoisonerOptions_SETTINGS4 = "Poison sets";		--"Poison sets"
PoisonerOptions_SETTINGS_CLOSE = "Close";
PoisonerOptions_SETTINGS_SAVE = "Save";

-- messages
Poisoner_TooltipTitle = "Current poison set:";

PoisonerOptions_LB_OptionsTitle = "-= "..GAMEOPTIONS_MENU.." =-";
PoisonerOptions_LB_Enable = "Enable Poisoner";
PoisonerOptions_LB_MBTitle = "MinimapButton:";
PoisonerOptions_LB_MBShow = "Show Poisoner MinimapButton";
PoisonerOptions_LB_MBLock = "Lock Poisoner MinimapButton";
PoisonerOptions_LB_MBReset = "reset position";
PoisonerOptions_LB_MBParentTitle = "MinimapButton parent frame: \n |cffff0000!|r |cff808080Requires reload|r |cffff0000!|r";
PoisonerOptions_LB_MBParentOwn = "own frame";
PoisonerOptions_LB_MBParentMinimap = "Minimap";

PoisonerOptions_LB_MPTitle = "Menu position:";
PoisonerOptions_LB_MPLeft = "Left";
PoisonerOptions_LB_MPRight = "Right";

PoisonerOptions_LB_TTTitle = "ToolTip:";
PoisonerOptions_LB_TTFull = "Full";
PoisonerOptions_LB_TTName = "Item name only";

PoisonerOptions_LB_ShowTimer = "Show timer for expiring poisons";

PoisonerOptions_LB_PresetTitle = "-= Poison presets =-";

PoisonerOptions_LB_TimerTitle = "-= Timer =-";
PoisonerOptions_LB_Threshold = "Warning Threshold:";
PoisonerOptions_LB_TimerMinute = "(minutes)";
PoisonerOptions_LB_TimerOutput = "Show poison timer warning via:";
PoisonerOptions_LB_TimerOutput_Aura = "Aura";
PoisonerOptions_LB_TimerOutput_Aura_Lock = "Lock / unlock Aura frame";
PoisonerOptions_LB_TimerOutput_Chat = CHAT_LABEL;	--"Chat"
PoisonerOptions_LB_TimerOutput_RaidWarning = CHAT_MSG_RAID_WARNING;	--"Raid Warning"
PoisonerOptions_LB_TimerOutput_ErrorFrame = "ErrorFrame";	--"Error Frame"

PoisonerOptions_LB_AutoBuy = "Automated poison restock feature:";
PoisonerOptions_LB_AutoBuyCheckbox = "Buy poisons automatically";
PoisonerOptions_LB_AutoBuyPrompt = "Buy Poisons without confirmation";
PoisonerOptions_LB_PoisonTitle = "-= AutoBuy Options =-";

PoisonerOptions_RestockQuestion = "Do you want to restock all choosen poisons?";

PoisonerOptions_LB_ReapplyButton_Lock = "Lock/Unlock ReapplyButton"


